# Run memory ingest bulk

`POST /memory/ingest/bulk` · Rivier · memory

- Scope: memory:write
- Mcp: rivier_personas_ingest_bulk
- Graphql: Mutation.memoryMemoryIngestBulk
- Sdk: memory.memoryIngest.bulk
- Cli: memory memory ingest bulk

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {},
  "additionalProperties": true
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/memory/ingest/bulk' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{}'
```
